## functracer 0.9.2

=== debian/changelog ===
functracer (0.9.2) unstable; urgency=low

  * Fix some lintian warnings, copyrights and README.
  * Change option letter for help messagei (us -h).
  * Create man page automatically.
  * Change addresses to have same width.
  * Replace TODO/XXX comments for FIXME.
  * Avoid reporting internal/recursive calls.
  * Generate only one .trace file per process.
  * Trace pthread_mutex_lock/pthread_mutex_unlock functions.

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Fri, 12 Sep 2008 14:40:23 -0400

functracer (0.9.1) unstable; urgency=low

  * Fix segfault when non-write permission is received.
  * Fix race condition on get_process_state().
  * Move ft_wait*() functions to right place.

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Fri, 08 Aug 2008 07:46:27 -0400

functracer (0.9) unstable; urgency=low

  * Attach all processes/threads when using -p option.
  * Avoid enable or disable breakpoints more than once.
  * Share breakpoints between parent and children.
  * Fix verification for repeated return addresses.
  * Add support for multithreaded programs.

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Fri, 01 Aug 2008 14:38:12 -0400

functracer (0.8) unstable; urgency=low

  * Add a header to trace file.
  * Reorganize report functions.
  * Add option to enable address resolution on functracer.
  * Add option to enable backtraces for free().
  * Fix compilation warnings.
  * Remove "name" variable from debug message.
  * Added error check on unw_get_proc_name().
  * Update documentation (README, manpage).
  * Decrement IP value to get correct line on post-processing.

 -- Ricardo Guimaraes <ricardo.guimaraes@indt.org.br>  Fri, 04 Jul 2008 15:47:18 -0400

functracer (0.7) unstable; urgency=low

  * Name resolution (unw_get_proc_name) removed. 

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Fri, 20 Jun 2008 13:27:32 -0400

functracer (0.6) unstable; urgency=low

  * Enable realloc() tracing.
  * Change ptrace for using PTRACE_CONT.
  * Remove remaining handling to SIGUSR2.
  * Fix segfault when permission denied is received.
  * Fix segfault when more than one process is tracked.
  * Enable libunwind cache (unw_set_caching_policy).
  * Suppress "free(NULL)" calls from trace output.

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Fri, 13 Jun 2008 14:49:01 -0400

functracer (0.5) unstable; urgency=low

  * Add debug package creation.
  * Add the __libc_ prefix for tracing functions.
  * Move rp_copy_maps() to rp_finish().
  * Simplify reporting functions.
  * Support for enabling debug during compilation.
  * Fix dump control regression (just toggle the tracing on/off).
  * Update documentation.

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Mon, 02 Jun 2008 13:23:24 -0400

functracer (0.4) unstable; urgency=low

  * Initial release.

 -- Bruno de Oliveira Abinader <bruno.abinader@openbossa.org>  Tue, 06 May 2008 16:01:34 -0400
