## functracer 0.17+0m5

=== debian/changelog ===
functracer (0.17+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Tue, 09 Jun 2009 14:24:28 +0300

functracer (0.17) unstable; urgency=low

  * Fix segfault on attaching to non-main thread (NB#120151)
  * Update version in configure.ac (NB#120152)

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Tue, 9 Jun 2009 12:43:17 +0200

functracer (0.16) unstable; urgency=low

  * Rewrite processes and threads hangling to avoid assumptions about ptrace's
    messages order. It should work correctly on Fremantle now.

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Tue, 7 May 2009 10:53:05 +0200

functracer (0.15.1maemo1) unstable; urgency=low

  * Fix a crash occurring when process does not yet have parent
    information available. Fixes: NB#99869
  * Applied a patch to fix realpath() portability problems by using
    readlink() instead. Fixes: NB#100765

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 17 Feb 2009 15:59:11 +0200

functracer (0.15.1) unstable; urgency=low

  * Small fixes in documentation: README, README.plugins, TODO.plugins and
    manpage.

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Thu, 29 Jan 2009 07:53:01 -0400

functracer (0.15) unstable; urgency=low

  * Plugins cleanup.
  * Add a new event to fork in parent process.
  * Do not read symbols from the target program and dynamic linker.
  * Add new functions to file plugin.
  * Change info messages to show "process/thread".
  * Fix date shown in trace header.
  * Add new specific documentation to plugins.
  * Add a README to testsuite.

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Tue, 20 Jan 2009 16:03:53 -0400

functracer (0.14) unstable; urgency=low

  * Add verbose option.
  * Avoid ptrace() errors due to missing libraries.
  * Change minimal backtrace depth to zero.
  * Organize testsuite directories.
  * Fix leaks in clone and fork tests.
  * Add new flags and fix warnings in testsuite.
  * Add support to C++ programs on testsuite.
  * Add new test to C++ programs in testsuite.
  * Add "Functracer Internals" sources.
  * Testsuite improvements.
  * Add new tests for calloc, realloc and memalign functions.
  * Add new tests for open/close operations.
  * Modify instructions for SSOL support.
  * Debian packaging fixes.
  * Move architecture specific defines out of configure.ac.
  * x86: allow inserting breakpoints in instructions with size 8.
  * Memory plugin fixes (memalign, posix_memalign).
  * solib.c: ignore symbols with no defined address.
  * Fix copyright header in testsuite files.

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Mon, 19 Dec 2008 14:08:14 -0400

functracer (0.13) unstable; urgency=low

  * Add a new exec event on callback.
  * Add new data to trace file header.
  * Add support to timestamps.
  * Remove unnecessary check to lock functions.
  * Add a sequence to load plugin module.
  * Change plugin infrastructure.
  * Rename tests directory to testsuite.
  * Implement support to dejagnu test framework.
  * Remove utests directory.

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Thu, 04 Dec 2008 10:11:21 -0400

functracer (0.12) unstable; urgency=low

  * Add initial support to plugins.
  * Add new option "-e" to plugin name.
  * Add in configure a new entry "--with-plugins" to prefix of plugins
    installation.
  * Add check in xptrace() function.
  * Change the backtrace header format for a more generic one.
  * Avoid overwriting trace file.
  * Simplify dump control functions.
  * Handle interrupt before a singlestep action.

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Wed, 12 Nov 2008 10:58:38 -0400

functracer (0.11) unstable; urgency=low

  * Fix SSOL area creation after a exec*() on ARM.
  * Remove /proc/PID/maps copying functions.
  * Dump maps information to trace file.
  * Replace get_list_of_processes() with for_each_process().
  * Fix regression in dump control; indentation fixes.

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Mon, 20 Oct 2008 14:03:13 -0400

functracer (0.10) unstable; urgency=low

  * Add prefix "__" on pthread_mutex_lock/pthread_mutex_unlock functions.
  * Fix allocation report for multithread programs.
  * Add missing *fPIC flag to libcallchain.so build.
  * Update .gitignore.
  * Remove unused declarations.
  * Fix memory leak in remove_process().
  * Simplify xptrace().
  * Change backtrace output format.
  * Add second line to header.
  * Small refactorings and a race condition fix.
  * Fix functracer interrupt (CTRL+C) handling.
  * Improve some tests.
  * Replace traditional breakpoint approach with SSOL.
  * Add support for reporting of process events.

 -- Bruna Moreira <bruna.moreira@indt.org.br>  Wed, 01 Oct 2008 11:29:36 -0400
