## functracer 0.18.1+0m5

=== debian/changelog ===
functracer (0.18.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 19 Oct 2009 11:37:39 +0300

functracer (0.18.1) unstable; urgency=low

  * Rebuild with updated libunwind to fix executable stack. Fixes: NB#139340.

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 19 Oct 2009 11:28:30 +0300

functracer (0.18) unstable; urgency=low

  * Change license of functracer to GPL version 2 or later. Fixes: NB#142158.

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Tue, 13 Oct 2009 13:17:40 +0300

functracer (0.17.1) unstable; urgency=low

  * Rebuild with updated libunwind to fix executable stack. Fixes: NB#139340.

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Tue, 9 Jun 2009 12:43:17 +0200
