=== debian/control ===
Source: functracer
Section: devel
Priority: optional
Maintainer: Bruna Moreira <bruna.moreira@indt.org.br>
Build-Depends: debhelper (>= 5), autotools-dev, help2man, binutils-dev, libunwind7-dev
Standards-Version: 3.8.0

Package: functracer
Architecture: any
Depends: ${shlibs:Depends}
Description: A Function Backtrace Tool
 Functracer is a debugging tool. It collects backtraces, arguments and return
 value of functions specified in a plugin. It works with optimized (-O2) code,
 where debugging symbols are available either in the application binaries
 themselves, or in separate debug files.

Package: functracer-dbg
Section: devel
Priority: extra
Architecture: any
Depends: functracer (= ${binary:Version})
Description: A Function Backtrace Tool - debug
 Functracer is a debugging tool. It collects backtraces, arguments and return
 value of functions specified in a plugin. It works with optimized (-O2) code,
 where debugging symbols are available either in the application binaries
 themselves, or in separate debug files.
 This package includes the debug symbols.
