=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 	debugopts += --enable-debug
 endif
 
+configure: configure.ac
+	autoreconf -fisv
+
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
@@ -31,7 +34,7 @@
 	cp -f /usr/share/misc/config.guess config.guess
 endif
 
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(debugopts) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(debugopts) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)"
 
 build: build-stamp
 
@@ -53,6 +56,7 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f config.sub config.guess
 	rm -f man/functracer.1
+	find -name core | xargs -r rm
 
 	dh_clean 
 
@@ -62,8 +66,7 @@
 	dh_clean -k 
 	dh_installdirs
 
-	# Add here commands to install the package into debian/functracer.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/functracer install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 
 
 # Build architecture-independent files here.
@@ -77,7 +80,7 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-#	dh_install
+	dh_install --sourcedir=debian/tmp
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
